package com.ama.core.designsystem.widget.interfaces

import android.view.View


interface StateView {
    val root: View

    fun showLoading()
    fun showError(error: Throwable, retry: View.OnClickListener?)
    fun showEmpty()
}